#{extends 'border.html'/}
<div class="container formNotifikasi">
#{form @cms.NotifikasiCtr.editSubmit(), method:'POST', class:'form-horizontal save'}

    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
                <button class="btn btn-primary btn-md"><i class="fa fa-save"></i> &{'simpan.label'}</button>
            </div>
        </div>
    </div>
    <!-- End Toolbar -->

    <div class="row">
        <div class="col-md-12">
        	#{alert /}
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="form-group required">
                        <label class="col-md-3 control-label">&{'tipe.label'}</label>
                        <div class="col-md-3">
                            <select name="param" class="form-control select2" required>
                                *{<option value="">&{'pilih.label'}</option>}*
                                <option value="inline" ${viewNotifikasi.param == "inline" ? "selected" : ""}>&{'inline.label'}</option>
                                <option value="popup" ${viewNotifikasi.param == "popup" ? "selected" : ""}>&{'popup.label'}</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-3 control-label">&{'status.label'}</label>
                        <div class="col-md-3">
                            <select name="status" class="form-control select2" required>
                                *{<option value="">&{'pilih.label'}</option>}*
                                <option value="published" ${viewNotifikasi.status == "published" ? "selected" : ""}>&{'published.label'}</option>
                                <option value="draft" ${viewNotifikasi.status == "draft" ? "selected" : ""}>&{'draft.label'}</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-3 control-label">&{'tanggal_mulai_publikasi.label'}</label>
                        <div class="col-md-3">
                            <input type="text" class="form-control" name="publish_date_from" id="publish_date_from" value="${publish_date_from}" required>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'tanggal_akhir_publikasi.label'}</label>
                        <div class="col-md-3">
                            <input type="text" class="form-control" name="publish_date_end" id="publish_date_end" value="${publish_date_to}">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'konten.label'}</label>
                        <div class="col-md-8">
                            <textarea id="deskripsi" name="deskripsi" rows="10" class="form-control" >${viewNotifikasi.deskripsi}</textarea>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <input type="hidden" name="data_id" id="data_id" value="${viewNotifikasi.id}">
    </div>
#{/form}
</div>

#{validationPackage/}

#{set 'moreLibs'}
<script src="@{'/public/javascripts/tinymce/tinymce.js'}" type="text/javascript"> </script>
#{/set }

#{set 'moreScripts'}
<script type="text/javascript">
    $(document).ready(function() {
//        CKEDITOR.replace('deskripsi');
        tinymce.init({
            selector : '#deskripsi',
            menubar : true,
            images_upload_base_path : "@{'/public/files/image'}",
            plugins : 'advlist autolink link image lists charmap print preview code',
            a_plugin_option: true,
            a_configuration_option: 400,
            images_upload_handler: function (blobInfo, success, failure) {
                var xhr, formData;
                xhr = new XMLHttpRequest();
                xhr.withCredentials = false;
                xhr.open('POST', '@{MediaManager.upload()}');

                xhr.onload = function() {
                    var json;

                    if (xhr.status != 200) {
                        failure('HTTP Error: ' + xhr.status);
                        return;
                    }

                    json = JSON.parse(xhr.responseText);

                    if (!json || typeof json.location != 'string') {
                        failure('Invalid JSON: ' + xhr.responseText);
                        return;
                    }

                    success(json.location);
                };

                formData = new FormData();
                formData.append('file', blobInfo.blob(), blobInfo.filename());

                xhr.send(formData);
            },
            image_caption: true,
            image_list: "@{MediaManager.listImageGallery()}"
        });

        $('#publish_date_from').datetimepicker({
            locale:'id',
            format:'DD-MM-YYYY HH:mm'
        });

        $('#publish_date_end').datetimepicker({
            locale:'id',
            format:'DD-MM-YYYY HH:mm'
        });

        $('.form-horizontal').validate({
            highlight: function (element) {
                $(element).parents('.form-group').addClass('has-error');
            },
            unhighlight: function (element) {
                $(element).parents('.form-group').removeClass('has-error');
            }
        });
    });
</script>


<script>
    jQuery('.save').submit(function(){
        var isiKonten  = tinymce.get('deskripsi').getContent();
        var isiKontenE = htmlEscape(isiKonten);//ini fungsi encode
        tinymce.get('deskripsi').setContent(isiKontenE);
    });
</script>

#{/set}